const system = require("../../../system");
const Dao = require("../../dao.base");
class StatuslogDao extends Dao {
  constructor() {
    super(Dao.getModelName(StatuslogDao));
  }

  /*插入状态信息信息*/
  async insertInfo(qobj,t){
    var obj = {
        "flow_type":qobj.flowType,
        "flow_id":qobj.flowId,
        "status_code":qobj.statusCode,
    };
    if (qobj.statusDate && qobj.statusDate != 'undefined'){
        obj["status_date"] = qobj.statusDate
    }
    return await this.create(obj,t);
  }



}
module.exports = StatuslogDao;
